<?php

namespace Slovocast\Domain;

use ReturnTypeWillChange;

interface FactoryInterface
{
    /**
     * @param array $props Properties required to build the object
     * @return object The object to be built
     */
    #[ReturnTypeWillChange]
    public static function fromArray(array $props);
     
    /**
     * @param object $obj
     * @return array
     */
    public static function toArray($obj): array;
}
